import * as i0 from "@angular/core";
export type ButtonStyle = 'primary' | 'secondary' | 'info' | 'warn' | 'danger';
export declare class ButtonComponent {
    readonly disabled$: import("@angular/core").WritableSignal<boolean>;
    readonly buttonStyle$: import("@angular/core").WritableSignal<ButtonStyle>;
    readonly fab$: import("@angular/core").WritableSignal<boolean>;
    readonly text$: import("@angular/core").WritableSignal<boolean>;
    readonly outlined$: import("@angular/core").WritableSignal<boolean>;
    readonly icon$: import("@angular/core").WritableSignal<string | null>;
    readonly iconSrc$: import("@angular/core").WritableSignal<string | null>;
    set disabled(disabled: boolean);
    set buttonStyle(buttonStyle: ButtonStyle);
    set fab(fab: boolean);
    set text(text: boolean);
    set outlined(outlined: boolean);
    set icon(icon: string | null);
    set iconSrc(iconSrc: string | null);
    readonly buttonStyleClasses$: import("@angular/core").Signal<string>;
    static ɵfac: i0.ɵɵFactoryDeclaration<ButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ButtonComponent, "button[sp-button]", never, { "disabled": { "alias": "disabled"; "required": false; }; "buttonStyle": { "alias": "buttonStyle"; "required": false; }; "fab": { "alias": "fab"; "required": false; }; "text": { "alias": "text"; "required": false; }; "outlined": { "alias": "outlined"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "iconSrc": { "alias": "iconSrc"; "required": false; }; }, {}, never, ["*"], false, never>;
}
